h61129
s 00010/00006/00050
d D 1.3 83/02/09 21:53:34 tes 3 2
c Added move legend menu handler
e
s 00002/00000/00054
d D 1.2 83/01/28 23:27:15 tes 2 1
c modified apmenu interface to include a clear screen flag
e
s 00054/00000/00000
d D 1.1 83/01/22 19:12:43 tes 1 0
c date and time created 83/01/22 19:12:43 by tes
e
u
tes
mjb
U
t
T
I 1
D 3
subroutine ctxatt
E 3
I 3
subroutine ctxatt (type)
E 3
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Initailize annotation data items                       #
D 3
#            None                                                      #
E 3
#                                                                      #
#     Input Parameters:                                                #
I 3
#            type - 0=annotate, otherwise something else               #
E 3
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
I 3
integer type

E 3
integer i, contrl(3), intin(1), dummy(1), ptsin(12)

define(`ROWSIZE',1365)
define(`COLSIZE',409)

data intin /1/
data ptsin /0, eval(3*ROWxCELLxSIZE), 32767, eval(3*ROWxCELLxSIZE),
            0, eval(5*ROWxCELLxSIZE), 32767, eval(5*ROWxCELLxSIZE),
            eval(65*COLUMNxCELLxSIZE), eval(5*ROWxCELLxSIZE),
	    eval(65*COLUMNxCELLxSIZE), 32767/
            

D 3
   call qputi (1, 1)   # initialize default font
   call qputi (2, 1)   # initialize default color
   call qputi (3, 4)   # initialize default size
E 3
I 3
   if (type == 0) {
      call qputi (1, 1)   # initialize default font
      call qputi (2, 1)   # initialize default color
      call qputi (3, 4)   # initialize default size
      }
E 3

   contrl(1) = 15   # set polyline type
   contrl(2) = 0
   call gzddop (contrl, intin, dummy, dummy, dummy)

   contrl(1) = 17   # set polyline color
   contrl(2) = 0
   call gzddop (contrl, intin, dummy, dummy, dummy)

   contrl(1) = 6
   contrl(2) = 2
   do i=1, 12, 4
      call gzddop (contrl, dummy, ptsin(i), dummy, dummy)

I 2
D 3
   call shwtxt          # display whatever text is currently defined
E 3
I 3
   if (type == 0) call shwtxt  # display whatever text is currently defined
E 3

E 2
return
end
E 1
